<?php
 
 
 

namespace PhpWA\Protocol\Proto\HydratedTemplateButton;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HydratedCallButton extends \Google\Protobuf\Internal\Message
{
    


    protected $displayText = null;
    


    protected $phoneNumber = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDisplayText()
    {
        return isset($this->displayText) ? $this->displayText : '';
    }

    public function hasDisplayText()
    {
        return isset($this->displayText);
    }

    public function clearDisplayText()
    {
        unset($this->displayText);
    }

    




    public function setDisplayText($var)
    {
        GPBUtil::checkString($var, True);
        $this->displayText = $var;

        return $this;
    }

    



    public function getPhoneNumber()
    {
        return isset($this->phoneNumber) ? $this->phoneNumber : '';
    }

    public function hasPhoneNumber()
    {
        return isset($this->phoneNumber);
    }

    public function clearPhoneNumber()
    {
        unset($this->phoneNumber);
    }

    




    public function setPhoneNumber($var)
    {
        GPBUtil::checkString($var, True);
        $this->phoneNumber = $var;

        return $this;
    }

}

